# RPM specfile for sane-frontends module
# Generated Tue Jul  9 20:17:12 2002 GMT by Ximian build system
# $Id: bb_do,v 1.188 2002/06/24 17:56:02 frb Exp $
# from 

%define nam	sane-frontends
%define ver	1.0.8
%define ximrev	1

Name:     	sane-frontends
Version: 	1.0.8
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.mostang.com/sane/
Epoch:		1
Source0:	sane-frontends-1.0.8.tar.gz
Summary:	Scanner graphical front-ends
Group:		Applications/System
Provides:	ximian-default = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This package includes scanner graphical front-end xscanimage, and
xcam, for acquiring images continuously from cameras.

An alternative to xscanimage called xsane is packaged separately.

The scanner front-ends use SANE.  SANE stands for "Scanner Access Now
Easy" and is an application programming interface (API) that provides
standardized access to any raster image scanner hardware (flatbed
scanner, hand-held scanner, video- and still-cameras, frame-grabbers,
etc.). The SANE standard is free and its discussion and development
is open to everybody. The current source code is written for UNIX
(including Linux) and is available under the GNU public license
(commercial application and backends are welcome, too, however).

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README* NEWS PROBLEMS TODO
/usr/bin/*
/usr/share/man/man1/*
/usr/share/sane-style.rc


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n sane-frontends-1.0.8
    ;;
all)
%setup  -q -n sane-frontends-1.0.8
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE} host_type=%{_target_platform}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Jul 9 2002 Ximian, Inc.

- Version: 1:1.0.8-1.ximian.1
- Summary: New build.
- New automated build.

* Sun May 5 2002 Ximian, Inc.

- Version: 1.0.7-2.ximian.1
- Summary: New build.
- New automated build.

